コンテンツへスキップ

Fibo Lite

統合

モデルID bria/fibo-lite/generate
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/fibo-lite/generate?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.036 36 APIクレジット · ≈ ₽3.77 このページで実行

APIキーを取得
Bria AI テキストから画像 高速 #bria#fibo#lite

構造化プロンプトと任意の参照画像に対応する、高速で軽量なテキストから画像を生成するモデル

Bria AI · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

生成に使用するプロンプト。

aspect_ratio デフォルト 1:1

画像のアスペクト比。使用可能な値: 1:1, 2:3, 3:2, 3:4, 4:3, 4:5, 5:4, 9:16, 16:9。

詳細設定 image · seed · structured_prompt
image_url
ファイルをドロップ、または

入力画像のURL。

デフォルト 7

乱数生成器で使用するシード。

生成に使用する構造化プロンプト。

POST /run/bria/fibo-lite/generate?wait=20 見積もり → $0.036
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/fibo-lite/generate?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Fibo Liteについて

軽量版 Fibo です。`prompt` または `structured_prompt` から画像を作成し、任意で `image_url` を入力できます。設定は `seed`(デフォルト 7)と 9 種類から選ぶ `aspect_ratio` です。解像度やステップ数の制御はなく、画像とともに構造化プロンプトを返します。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt任意
型string | null
生成に使用するプロンプト。
structured_prompt任意
型object
生成に使用する構造化プロンプト。
structured_prompt.short_description必須
型string
画像の内容を200語以内で簡潔に説明した概要。
structured_prompt.objects必須
型object[]
前景または中景にある主なオブジェクトの一覧。
structured_prompt.objects[].description必須
型string
オブジェクトを説明する簡潔な概要。
structured_prompt.objects[].location必須
型string
位置。例: 'center'、'top-left'、'bottom-right foreground'。
structured_prompt.objects[].relationship必須
型string
このオブジェクトが画像内の他のオブジェクトとどう関係するかの説明。
structured_prompt.objects[].relative_size任意
型string | null
サイズ。例: 'small'、'medium'、'large within frame'。
structured_prompt.objects[].shape_and_color任意
型string | null
オブジェクトの基本形状と主な色。
structured_prompt.objects[].texture任意
型string | null
質感。例: 'smooth'、'rough'、'metallic'、'furry'。
structured_prompt.objects[].appearance_details任意
型string | null
注目すべき追加の視覚的特徴。
structured_prompt.objects[].number_of_objects任意
型integer | null
クラスター内のオブジェクト数。
structured_prompt.objects[].pose任意
型string | null
身体の位置。
structured_prompt.objects[].expression任意
型string | null
顔に表れた表情。
structured_prompt.objects[].clothing任意
型string | null
着用している衣服。
structured_prompt.objects[].action任意
型string | null
人物が行っている動作。
structured_prompt.objects[].gender任意
型string | null
人物の性別。
structured_prompt.objects[].skin_tone_and_texture任意
型string | null
肌の色調と質感。
structured_prompt.objects[].orientation任意
型string | null
人物の向き。
structured_prompt.background_setting必須
型string
シーン全体の説明。場所、周囲や背景、注目すべき背景要素を含みます。
structured_prompt.lighting必須
型object
照明を説明する情報。
structured_prompt.lighting.conditions必須
型string
照明の例: 'bright daylight'、'dim indoor'、'studio lighting'、'golden hour'。
structured_prompt.lighting.direction必須
型string
照明の方向。例: 'front-lit'、'backlit'、'side-lit from left'。
structured_prompt.lighting.shadows任意
型string | null
存在する影の説明。
structured_prompt.aesthetics必須
型object
画像の美的特性を説明する情報。
structured_prompt.aesthetics.composition必須
型string
構図のスタイル。例: 'rule of thirds'、'symmetrical'、'centered'、'leading lines'。
structured_prompt.aesthetics.color_scheme必須
型string
配色。例: 'monochromatic blue'、'warm complementary colors'、'high contrast'。
structured_prompt.aesthetics.mood_atmosphere必須
型string
雰囲気または空気感。例: `joyful`、`serene`、`mysterious`、`energetic`。
structured_prompt.aesthetics.aesthetic_score必須
型string
スコアの説明。例: medium、very low、low、very high、high。
structured_prompt.aesthetics.preference_score必須
型string
スコアの説明。例: medium、very low、low、very high、high。
structured_prompt.photographic_characteristics任意
型object
写真の特性を説明する情報。
structured_prompt.photographic_characteristics.depth_of_field必須
型string
被写界深度。例: 'shallow'、'deep'、'bokeh background'。
structured_prompt.photographic_characteristics.focus必須
型string
フォーカスの特性。例: 'sharp focus on subject'、'soft focus'、'motion blur'。
structured_prompt.photographic_characteristics.camera_angle必須
型string
カメラアングル。例: 'eye-level'、'low angle'、'high angle'、'dutch angle'。
structured_prompt.photographic_characteristics.lens_focal_length必須
型string
レンズの種類または焦点距離。例: `macro`、`fisheye`、`wide-angle`、`telephoto`。
structured_prompt.style_medium任意
型string | null
使用する芸術媒体またはスタイル。
structured_prompt.text_render任意
型object[]
画像内に描画されたテキスト要素の一覧。
structured_prompt.text_render[].text必須
型string
テキストの内容。
structured_prompt.text_render[].location必須
型string
位置。例: 'center'、'top-left'、'bottom-right foreground'。
structured_prompt.text_render[].size必須
型string
サイズ。例: 'small'、'medium'、'large within frame'。
structured_prompt.text_render[].color必須
型string
色。例: `green`、`red`、`blue`。
structured_prompt.text_render[].font必須
型string
フォントスタイル。例: `minimalist`、`realistic`、`cartoonish`。
structured_prompt.text_render[].appearance_details任意
型string | null
注目すべき追加の視覚的特徴。
structured_prompt.context必須
型string
画像の解釈を助ける追加コンテキスト。
structured_prompt.artistic_style必須
型string
最大3語で表現する具体的な芸術的特徴。
structured_prompt.subject_emotions任意
型string | null
被写体に見られる表情または感情の明示的な説明。
image_url任意 image
型url · image
入力画像のURL。
seed任意
型integer
デフォルト7
乱数生成器で使用するシード。
aspect_ratio任意
型enum
デフォルト1:1
1:12:33:23:44:34:55:49:1616:9
画像のアスペクト比。使用可能な値: 1:1, 2:3, 3:2, 3:4, 4:3, 4:5, 5:4, 9:16, 16:9。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/fibo-lite/generate",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 36,
    "usd": "0.036",
    "charged": 36,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "images": [
      {}
    ],
    "structured_prompt": {
      "short_description": "string",
      "objects": [
        {
          "description": "string",
          "location": "string",
          "relationship": "string",
          "relative_size": "string",
          "shape_and_color": "string",
          "texture": "string",
          "appearance_details": "string",
          "number_of_objects": 1,
          "pose": "string",
          "expression": "string",
          "clothing": "string",
          "action": "string",
          "gender": "string",
          "skin_tone_and_texture": "string",
          "orientation": "string"
        }
      ],
      "background_setting": "string",
      "lighting": {
        "conditions": "string",
        "direction": "string",
        "shadows": "string"
      },
      "aesthetics": {
        "composition": "string",
        "color_scheme": "string",
        "mood_atmosphere": "string",
        "aesthetic_score": "string",
        "preference_score": "string"
      },
      "photographic_characteristics": {
        "depth_of_field": "string",
        "focus": "string",
        "camera_angle": "string",
        "lens_focal_length": "string"
      },
      "style_medium": "string",
      "text_render": [
        {
          "text": "string",
          "location": "string",
          "size": "string",
          "color": "string",
          "font": "string",
          "appearance_details": "string"
        }
      ],
      "context": "string",
      "artistic_style": "string",
      "subject_emotions": "string"
    }
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
image
object {url, content_type, file_name, file_size, width, height}モデルが生成した画像。
images
array of object生成された画像。
structured_prompt
object {short_description, objects, background_setting, lighting, aesthetics, photographic_characteristics, style_medium, text_render, context, artistic_style, subject_emotions}現在使用中のプロンプト。

その他のモデル: テキストから画像

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/bria/fibo-lite/generate.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt